const { format } = require("winston");

function get_log_format(source) {
	const log_format = format.combine(
		format.json(),
		format.printf(info => {
			const json_log = {
				timestamp: new Date().toISOString(),
				level: info.level,
				source: `${source.toUpperCase()}.${process.pid}`,
				message: info.message
			};
			return JSON.stringify(json_log);
		})
	);

	return log_format;
}

module.exports = get_log_format;
