const winston = require("winston");

const get_console_transport = require("./get_console_transport.js");
const {
	get_errors_log_transport,
	get_combined_log_transport
} = require("./get_log_transports.js");
const my_custom_levels = require("./my_custom_levels.js");

function get_default_logger(source) {
	const logger = winston.createLogger({
		transports: [
			get_errors_log_transport(source),
			get_combined_log_transport(source)
		]
	});

	if (process.env.NODE_ENV !== "production") {
		logger.add(get_console_transport(source));
	}

	winston.addColors(my_custom_levels);
	return logger;
}

module.exports = get_default_logger;

//  tete
// let x = get_default_logger('binance')
// let xx = get_default_logger('binance2')

// let time = 1000
// for (let i of [1,2,3,4,5,6,7,8,9,10,1,1,1,1,1,1,1,1,1,1,1,1,1,]){

// setTimeout(()=>{
// // x.warn('DEBUGGING')
// // x.info('INFORMING')
// // xx.info({tete:3})
// // xx.error('OMGGG ERRORRRR !!!')

// }, time)
// time += 3003
// }

// console.log({tete:3}.constructor)
// console.log([1,2,3,4,5,6,7,8,9,10,1,1,1,1,1,1,1,1,1,1,1,1,1,].constructor)

// setTimeout(() => {
//    	throw new Error('hello world');
//  	}, 2000);
